# RSS Aggregator for Web3 (or 🥩 RAW for short)

Bootstrapping your personal Web3 info hub from more than 500 RSS Feeds.

![](./img/whyRSS.png)

## What is RSS or Reader Services?

RSS is a standard for contents feeds. Any website supporting this standard can be permissionless aggregated to RSS Reader Service or Apps.

"RSS to Reader" is just like "ERC-20 to Uniswap".

![](./img/whatRSS.png)

## How to use 🥩 RAW? Just 4 steps.
1. [Download](RAW.opml) the the latest RAW.opml file from this repo.
2. Choose your favorite RSS service or apps. (I strongly recommend [NetNewsWire](https://netnewswire.com) as a frest start because it's totally free and [open sourced](https://github.com/Ranchero-Software/NetNewsWire).)
3. Import this OPML to your apps/services.
4. Syncing and Done!

## How to find/add new feeds?

Medium, Github, Substack, Mirror, Ghost are natively support RSS.

For example,

- GitHub: Appending ".atom" to most links, e.g. https://github.com/bitcoin/bitcoin/releases.atom
- Substack: Appending "/feed" to link, e.g. https://0xsoros.substack.com/feed
- Mirror: Appending "/feed/atom" to link, e.g. https://ens.mirror.xyz/feed/atom
- Ghost: Appending "/rss" to link, e.g. https://fuel-labs.ghost.io/rss/
- Medium: Adding "/feed" after medium.com, e.g. https://medium.com/feed/anomanetwork

For other sites or sources, you can find many great tutorials from [ALL About RSS](https://github.com/AboutRSS/ALL-about-RSS) or [RSSHub](https://github.com/DIYgod/RSSHub).

## How many feeds I can find in 🥩 RAW?

You can find the full list [here](Full_List). Breakdown:

- Direct source from projects: 300+ Feeds
    - Including product announcements/updates from L1/L2 Chains, Web3 DApps, Developer Tools.
- GitHub updates: 120+ Feeds
    - Including code releases or smart contract upgrades from L1/L2 Chains, Web3 DApps, Developer Tools.
- Media/Curator/Aggregator: 10+ Feeds
    - Including press or content aggregator like CoinDesk, Messari.
- Newsletters: 10+ Feeds
    - Including weekly newsletters like Week in Ethereum, Bitcoin Optech.
- Research/VCs: 30+ Feeds
    - Indluding deep dive research or analysis contents from independent researchers or VCs.
- Others: 2 Feeds
    - Including forum, communities.


## Recommendation of RSS Aggregating Service
- ~~Google Reader~~
- [Inoreader](https://www.inoreader.com)
- [Feedbin](https://feedbin.com)
- [Feedly](https://feedly.com)
- [Feeder](https://feeder.co) (Free!)

## Recommendation of Apps
- [NetNewsWire](https://netnewswire.com) (Free!)
- [Reeder](https://reederapp.com)
- [Big News](https://bignews.app)
- [An Otter RSS](https://anotterrss.com) (Free!)
- [News Explorer](https://betamagic.nl/products/newsexplorer.html)
